# Uses of Interface
com.sun.source.tree.CompoundAssignmentTree

Packages that use CompoundAssignmentTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of CompoundAssignmentTree in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type CompoundAssignmentTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitCompoundAssignment​(CompoundAssignmentTree node, P p)`
Visits a CompoundAssignmentTree node.

## Uses of CompoundAssignmentTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type CompoundAssignmentTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitCompoundAssignment​(CompoundAssignmentTree node, P p)`
Visits a CompoundAssignmentTree node.
`R`
TreeScanner.`visitCompoundAssignment​(CompoundAssignmentTree node, P p)`
Visits a CompoundAssignmentTree node.